package com.asset.enums;

public enum StatusEnum {
    ON(0,"正常"),
    NO(1,"锁定");

    private int key;
    private String value;

    private StatusEnum(int key, String value) {
        this.key = key;
        this.value = value;
    }
    //根据ID值获取对应的描述
    public static String getById(Integer id) {
        for (StatusEnum statusEnum : values()) {
            if (statusEnum.getKey() == id) {
                return statusEnum.value;
            }
        }
        return null;
    }

    public int getKey() {
        return key;
    }

    public void setKey(int key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
